<div class="window__grid">
  <header>
    <div class="header__actions">
      <mat-slide-toggle color="primary" labelPosition="before" [formControl]="changeThemeControl">
        <span class="mat-body">
          Change theme
        </span>
      </mat-slide-toggle>
      <h1 *ngIf="mainService.user$ | async as user" class="mat-display-3">
        Hello {{ user.displayName }}!
      </h1>
      <button mat-raised-button color="primary" (click)="logout()">Logout</button>
    </div>
    <nav mat-tab-nav-bar color="primary" backgroundColor="primary" mat-align-tabs="center">
      <a
        mat-tab-link
        *ngFor="let link of links"
        [routerLink]="link.route"
        (click)="activeLink = link.route[0]"
        [active]="activeLink === link.route[0]"
      >
        {{ link.title }}
      </a>
    </nav>
  </header>
  <main>
    <router-outlet></router-outlet>
  </main>
</div>
